This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 441613 - [Indic] languages missing in gdm language menu
[Indic] languages missing in gdm language menu
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Blocker
  Show dependency treegraph
 
Reported: 2008-04-08 22:14 EDT by Jens Petersen
Modified: 2015-01-14 18:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 00:00:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2008-04-08 22:14:28 EDT
Description of problem:
I just noticed that there are a number of languages that used to be on
the gdm language menu that no longer seem to be in the new gdm for F9.

Version-Release number of selected component (if applicable):
gdm-2.21.10-0.2008.04.07.3.fc9

How reproducible:
every time

Steps to Reproduce:
1. boot current pre-F9 rawhide
2. get to gdm and select a user to login
3. go to the language dialog:- Language: -> Other...
4. look for Assamese, Danish, Finnish, Gujarati, Hindi, Kannada, Malayalam,
   Marathi, Punjabi, Slovakian, Tamil, Thai, Telugu, or Vietnamese
  
Actual results:
4. all listed languages are missing

Expected results:
4. expect to see listed langugages - probably more were available in F8 gdm.

Additional info:
Peering through gdm-2.21.10/gui/simple-greeter/gdm-languages.c
I didn't notice any obvious filtering...
Comment 1 Matthias Clasen 2008-04-08 22:16:49 EDT
We are filtering out languages for which we don't have the necessary fonts
installed to write the language and country name.
Comment 2 Ray Strode [halfline] 2008-04-08 22:45:23 EDT
hmm, Danish though?  There's got to be a bug
Comment 3 Ray Strode [halfline] 2008-04-09 00:00:46 EDT
should be fixed in gdm-2.21.10-0.2008.04.08.3.fc9.  Please reopen if you still
encounter issues.

Thanks for spotting this one!
Comment 4 Jens Petersen 2008-04-09 00:42:12 EDT
Thanks looks good now - I see all the listed langs again. :)

Note You need to log in before you can comment on or make changes to this bug.